## javax.servlet
Interface AsyncIOInputSource

All Known Implementing Classes:
  ServletInputStream, ServletReader

    public interface AsyncIOInputSource

This interface defines methods to allow an `ServletInputStream` or `ServletReader` to notify the developer when and how much data is ready to be read without blocking.

Since:
  Servlet 3.1

Method Summary
`int` `dataAvailable()`
`boolean` `isFinished()`
`boolean` `isReady()`

Method Detail

### dataAvailable

    int dataAvailable()

  Returns:
    the number of bytes (or characters) that may be obtained without blocking.

### isFinished

    boolean isFinished()

  Returns:
    `true` when all data for this particular request has been read, otherwise returns `false`.

### isReady

    boolean isReady()

  Returns:
    `true` if data can be obtained without blocking, otherwise returns `false`.

Copyright © 2012 GlassFish Community. All Rights Reserved.